NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.Drawings.RevolvedSectionLine Class Reference

Revolved Section Line is used to create section views which are revolved about an axis. More...

Inheritance diagram for NXOpen.Drawings.RevolvedSectionLine:
NXOpen.Drawings.SectionLine NXOpen.DisplayableObject NXOpen.NXObject NXOpen.IFitTo NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Additional Inherited Members

- Public Types inherited from NXOpen.DisplayableObject
enum  ObjectFont {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, LongDashed, DottedDashed
}
 specifies the object font for objects such as lines More...
 
enum  ObjectWidth {
  Normal, Thick, Thin, One = 5,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 specifies object width for objects such as lines and text More...
 
- Public Member Functions inherited from NXOpen.DisplayableObject
unsafe void Blank ()
 Blanks the object. More...
 
unsafe void Highlight ()
 Highlights the object. More...
 
unsafe void RedisplayObject ()
 Redisplays the object in all views. More...
 
unsafe void RemoveViewDependency ()
 Remove dependency on all views from an object. More...
 
unsafe void SetNameLocation (NXOpen.Point3d location)
 Sets the location of the object's name. More...
 
unsafe void Unblank ()
 Unblanks the object. More...
 
unsafe void Unhighlight ()
 Unhighlights the object. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Drawings.SectionLine
unsafe bool IsRetained [get]
 Returns a flag indicating whether the section line is retained More...
 

Detailed Description

Revolved Section Line is used to create section views which are revolved about an axis.

A revolved section line can contain a single revolved cut, or it can contain steps to form multiple cuts. In either case, all cut planes resulting from the section line cuts are revolved into a common plane for the Revolved Section View.

To create or edit an instance of this class, use NXOpen.Drawings.SectionViewBuilder

Created in NX6.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.